Bug 1032750 - Review Request: golang-github-syndtr-gocapability - POSIX capability library for the Go programming language
Review Request: golang-github-syndtr-gocapability - POSIX capability library ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 13:05 EST by Vincent Batts
Modified: 2015-05-08 12:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 18:14:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lsm5: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vincent Batts 2013-11-20 13:05:12 EST
Spec URL: http://vbatts.fedorapeople.org/rpmbuild/SPECS/golang-github-syndtr-gocapability.spec
SRPM URL: http://vbatts.fedorapeople.org/rpmbuild/SRPMS/golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm
Description: POSIX Capability library for the Go programming lanaguage
Fedora Account System Username: vbatts

$ rpmlint golang-github-syndtr-gocapability.spec
golang-github-syndtr-gocapability.spec: W: no-buildroot-tag
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ fedpkg scratch-build --srpm /home/vbatts/rpmbuild/SRPMS/golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x1745c20>> ignored
[====================================] 100% 00:00:00  11.14 KiB  16.80 KiB/sec
Building golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm for rawhide
Created task: 6206385
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6206385
Watching tasks (this may be safely interrupted)...
6206385 build (rawhide, golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm): open (arm02-builder20.arm.fedoraproject.org)
  6206388 buildArch (golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm, i686): free
  6206387 buildArch (golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm, x86_64): open (buildvm-26.phx2.fedoraproject.org)
  6206388 buildArch (golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm, i686): free -> open (buildvm-26.phx2.fedoraproject.org)
  6206388 buildArch (golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm, i686): open (buildvm-26.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  6206387 buildArch (golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm, x86_64): open (buildvm-26.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
6206385 build (rawhide, golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm): open (arm02-builder20.arm.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

6206385 build (rawhide, golang-github-syndtr-gocapability-0-0.1.git3454319.el6.src.rpm) completed successfully
Comment 1 Lokesh Mandvekar 2013-11-20 16:19:44 EST
1. The %{import_path} could be placed in Source0 as well if you wanna make it shorter, but no biggie.

2. rm -rf $RPM_BUILD_ROOT lines should be removed (is it otherwise causing an error on el6?) . Also, I remember you saying absence of %defattr complains on el6, so leaving that in should be ok.

3. as per the prior packaged golang deps, we'd also need:
%dir %attr(755,root,root) %{gopath}/src/github.com
%dir %attr(755,root,root) %{gopath}/src/github.com/syndtr
..in addition to the already existing ones.

4. ls in %install is probably not needed.
Comment 2 Vincent Batts 2013-11-20 16:51:27 EST
1. fair
2. rpmlint noted it. i figured no harm. So i've left it to only the %clean section.
3. added
4. debug leftover. removed.

spec: http://vbatts.fedorapeople.org/rpmbuild/SPECS/golang-github-syndtr-gocapability.spec
srpm: http://vbatts.fedorapeople.org/rpmbuild/SRPMS/golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm

$ rpmlint ./golang-github-syndtr-gocapability.spec 
./golang-github-syndtr-gocapability.spec: W: no-cleaning-of-buildroot %install
./golang-github-syndtr-gocapability.spec: W: no-buildroot-tag
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

$ fedpkg scratch-build --srpm /home/vbatts/rpmbuild/SRPMS/golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x2600c20>> ignored
[====================================] 100% 00:00:00  11.24 KiB  23.09 KiB/sec
Building golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm for rawhide
Created task: 6207119
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6207119
Watching tasks (this may be safely interrupted)...
6207119 build (rawhide, golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm): open (arm02-builder02.arm.fedoraproject.org)
  6207120 buildArch (golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm, x86_64): free
  6207120 buildArch (golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm, x86_64): free -> open (buildvm-22.phx2.fedoraproject.org)
  6207121 buildArch (golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm, i686): open (buildvm-15.phx2.fedoraproject.org)
  6207120 buildArch (golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm, x86_64): open (buildvm-22.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  6207121 buildArch (golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm, i686): open (buildvm-15.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
6207119 build (rawhide, golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm): open (arm02-builder02.arm.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

6207119 build (rawhide, golang-github-syndtr-gocapability-0-0.2.git3454319.el6.src.rpm) completed successfully
Comment 3 Lokesh Mandvekar 2013-11-20 17:08:09 EST
approved, but may need revision as and when golang packaging guidelines change
Comment 4 Vincent Batts 2013-11-20 17:16:07 EST
New Package SCM Request
=======================
Package Name: golang-github-syndtr-gocapability
Short Description: POSIX Capability library for the Go programming lanaguage
Owners: vbatts
Branches: f19 f20 el6
InitialCC:
Comment 5 Vincent Batts 2013-11-20 17:19:05 EST
New Package SCM Request
=======================
Package Name: golang-github-syndtr-gocapability
Short Description: POSIX Capability library for the Go programming lanaguage
Owners: vbatts
Branches: f19 f20 el6
InitialCC: golang@lists.fedoraproject.org
Comment 6 Vincent Batts 2013-11-20 17:28:35 EST
spelling corrections in description

spec: http://vbatts.fedorapeople.org/rpmbuild/SPECS/golang-github-syndtr-gocapability.spec
srpm: http://vbatts.fedorapeople.org/rpmbuild/SRPMS/golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm

$ rpmlint ./golang-github-syndtr-gocapability.spec
./golang-github-syndtr-gocapability.spec: W: no-cleaning-of-buildroot %install
./golang-github-syndtr-gocapability.spec: W: no-buildroot-tag
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

$ fedpkg scratch-build --srpm /home/vbatts/rpmbuild/SRPMS/golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x2d09c20>> ignored
[====================================] 100% 00:00:00  11.30 KiB  27.42 KiB/sec
Building golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm for rawhide
Created task: 6207211
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6207211
Watching tasks (this may be safely interrupted)...
6207211 build (rawhide, golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm): open (arm02-builder14.arm.fedoraproject.org)
  6207213 buildArch (golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm, i686): free
  6207212 buildArch (golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm, x86_64): free
  6207212 buildArch (golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm, x86_64): free -> open (buildvm-20.phx2.fedoraproject.org)
  6207213 buildArch (golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm, i686): free -> open (buildvm-24.phx2.fedoraproject.org)
  6207213 buildArch (golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm, i686): open (buildvm-24.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
  6207212 buildArch (golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm, x86_64): open (buildvm-20.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
6207211 build (rawhide, golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm): open (arm02-builder14.arm.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

6207211 build (rawhide, golang-github-syndtr-gocapability-0-0.3.git3454319.el6.src.rpm) completed successfully
Comment 7 Vincent Batts 2013-11-20 17:29:04 EST
New Package SCM Request
=======================
Package Name: golang-github-syndtr-gocapability
Short Description: POSIX Capability library for the Go programming language
Owners: vbatts
Branches: f19 f20 el6
InitialCC: golang-sig
Comment 8 Gwyn Ciesla 2013-11-21 08:05:53 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-12-18 12:45:19 EST
golang-github-syndtr-gocapability-0-0.3.git3454319.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gocapability-0-0.3.git3454319.fc20
Comment 10 Fedora Update System 2013-12-18 12:46:35 EST
golang-github-syndtr-gocapability-0-0.3.git3454319.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gocapability-0-0.3.git3454319.fc19
Comment 11 Fedora Update System 2013-12-18 12:47:16 EST
golang-github-syndtr-gocapability-0-0.3.git3454319.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gocapability-0-0.3.git3454319.el6
Comment 12 Fedora Update System 2013-12-19 12:09:22 EST
golang-github-syndtr-gocapability-0-0.3.git3454319.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2014-01-02 18:14:09 EST
golang-github-syndtr-gocapability-0-0.3.git3454319.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 14 Fedora Update System 2014-01-03 03:40:15 EST
golang-github-syndtr-gocapability-0-0.3.git3454319.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2014-01-03 03:44:50 EST
golang-github-syndtr-gocapability-0-0.3.git3454319.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2015-04-21 05:02:00 EDT
golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc22
Comment 17 Fedora Update System 2015-04-21 05:09:30 EDT
golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc21
Comment 18 Fedora Update System 2015-04-21 05:10:04 EDT
golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc20
Comment 19 Fedora Update System 2015-04-21 05:10:27 EDT
golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.el6
Comment 20 Fedora Update System 2015-04-27 04:45:39 EDT
golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2015-05-04 11:24:05 EDT
golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-05-04 11:29:32 EDT
golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-05-08 12:40:43 EDT
golang-github-syndtr-gocapability-0-0.9.git8e4cdcb.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.